Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDMAATYPEvalues

    java.lang.Object
      java.lang.Enum<CDMAATYPEvalues>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDMAATYPEvalues

All Implemented Interfaces:
  Serializable, Comparable<CDMAATYPEvalues>

    public enum CDMAATYPEvalues

extends Enum<CDMAATYPEvalues>

Java class for CD-MAA-TYPEvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-MAA-TYPEvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="chapter4"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CHAPTER_4`

Method Summary
`static CDMAATYPEvalues` | `fromValue(String v)`
`String` | `value()`
`static CDMAATYPEvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDMAATYPEvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CHAPTER_4

    public static final CDMAATYPEvalues CHAPTER_4

Method Detail

### values

    public static CDMAATYPEvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDMAATYPEvalues c : CDMAATYPEvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDMAATYPEvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDMAATYPEvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSDIETICIAN 3.21.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.